package cn.ibizlab.r7.runtime.core.client.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;
import java.math.BigInteger;

/**
 * Client 实体 [UserRoleData] 对象
 */
public interface IUserRoleData {

    /**
     * 获取 [数据对象能力标识]
     */
    public void setUserRoleDataId(String userRoleDataId);
    
    /**
     * 设置 [数据对象能力标识]
     */
    public String getUserRoleDataId();

    /**
     * 获取 [数据对象能力标识]脏标记
     */
    public boolean getUserRoleDataIdDirtyFlag();
    /**
     * 获取 [更新人]
     */
    public void setUpdateMan(String updateMan);
    
    /**
     * 设置 [更新人]
     */
    public String getUpdateMan();

    /**
     * 获取 [更新人]脏标记
     */
    public boolean getUpdateManDirtyFlag();
    /**
     * 获取 [部门数据类型]
     */
    public void setDeptDR(String deptDR);
    
    /**
     * 设置 [部门数据类型]
     */
    public String getDeptDR();

    /**
     * 获取 [部门数据类型]脏标记
     */
    public boolean getDeptDRDirtyFlag();
    /**
     * 获取 [建立时间]
     */
    public void setCreateDate(Timestamp createDate);
    
    /**
     * 设置 [建立时间]
     */
    public Timestamp getCreateDate();

    /**
     * 获取 [建立时间]脏标记
     */
    public boolean getCreateDateDirtyFlag();
    /**
     * 获取 [数据对象能力名称]
     */
    public void setUserRoleDataName(String userRoleDataName);
    
    /**
     * 设置 [数据对象能力名称]
     */
    public String getUserRoleDataName();

    /**
     * 获取 [数据对象能力名称]脏标记
     */
    public boolean getUserRoleDataNameDirtyFlag();
    /**
     * 获取 [组织数据类型]
     */
    public void setOrgDR(String orgDR);
    
    /**
     * 设置 [组织数据类型]
     */
    public String getOrgDR();

    /**
     * 获取 [组织数据类型]脏标记
     */
    public boolean getOrgDRDirtyFlag();
    /**
     * 获取 [查询表达式]
     */
    public void setCondcontent(String condcontent);
    
    /**
     * 设置 [查询表达式]
     */
    public String getCondcontent();

    /**
     * 获取 [查询表达式]脏标记
     */
    public boolean getCondcontentDirtyFlag();
    /**
     * 获取 [更新时间]
     */
    public void setUpdateDate(Timestamp updateDate);
    
    /**
     * 设置 [更新时间]
     */
    public Timestamp getUpdateDate();

    /**
     * 获取 [更新时间]脏标记
     */
    public boolean getUpdateDateDirtyFlag();
    /**
     * 获取 [用户数据类型]
     */
    public void setUserDR(String userDR);
    
    /**
     * 设置 [用户数据类型]
     */
    public String getUserDR();

    /**
     * 获取 [用户数据类型]脏标记
     */
    public boolean getUserDRDirtyFlag();
    /**
     * 获取 [全部数据]
     */
    public void setIsAllData(Integer isAllData);
    
    /**
     * 设置 [全部数据]
     */
    public Integer getIsAllData();

    /**
     * 获取 [全部数据]脏标记
     */
    public boolean getIsAllDataDirtyFlag();
    /**
     * 获取 [建立人]
     */
    public void setCreateMan(String createMan);
    
    /**
     * 设置 [建立人]
     */
    public String getCreateMan();

    /**
     * 获取 [建立人]脏标记
     */
    public boolean getCreateManDirtyFlag();
    /**
     * 获取 [系统预置查询]
     */
    public void setSysPresetQuery(String sysPresetQuery);
    
    /**
     * 设置 [系统预置查询]
     */
    public String getSysPresetQuery();

    /**
     * 获取 [系统预置查询]脏标记
     */
    public boolean getSysPresetQueryDirtyFlag();
    /**
     * 获取 [是否启用]
     */
    public void setEnable(Integer enable);
    
    /**
     * 设置 [是否启用]
     */
    public Integer getEnable();

    /**
     * 获取 [是否启用]脏标记
     */
    public boolean getEnableDirtyFlag();
    /**
     * 获取 [业务实体名称]
     */
    public void setDataEntityName(String dataEntityName);
    
    /**
     * 设置 [业务实体名称]
     */
    public String getDataEntityName();

    /**
     * 获取 [业务实体名称]脏标记
     */
    public boolean getDataEntityNameDirtyFlag();
    /**
     * 获取 [业务实体标识]
     */
    public void setDataEntityId(String dataEntityId);
    
    /**
     * 设置 [业务实体标识]
     */
    public String getDataEntityId();

    /**
     * 获取 [业务实体标识]脏标记
     */
    public boolean getDataEntityIdDirtyFlag();
}
